.box {
    font-size: calc(1.6vw * 1.6vh);
}

.box-header {
    font-size: 150%;
}

.box-body {
    font-size: 100%;
    display: flex;
    flex-flow: column;
    padding-top: 50px;
}

.box-row {
    display: flex;
    
}

.box-row > .box-row-el {
    /* flex: 0 1 33.33%; */
    flex: 1 1 auto;
}


.frame {
    flex: 1 1 auto;
    
    /* margin: 1% 2%; */
}

.wrapper > .frame {
    display: flex;
}




.bx {display: block;}
.bx-content-center {align-items: center;justify-content: center;}
.bx-full-w{width: 100%}
.bx-full-h{height: 100%}
.bx-full{width: 100%;height: 100%;}
.bx-full-vw{width: 100vw;height: 100vh;}
.bx-flex{display: flex;}
.bx-flex-row{display: flex;flex-flow: row;}
.bx-flex-row-r{display: flex;flex-flow: row-reverse;}
.bx-flex-col{display: flex;flex-flow: column;}
.bx-flex-col-r{display: flex;flex-flow: column-reverse;}
.bx-flex-el{flex: 1 1 auto;}
.bx-flex-col-dir{flex-direction: column;}
.bx-flex-row-dir{flex-direction: row-reverse;}

.bx-grid{text-align: center;}
.bx-grid-el{display: inline-block; overflow: hidden;}
.bx-grid-el-sm{width: 20em; height: 20em;}
.bx-grid-el-md{width: 20em; height: 10em;}
.bx-grid-el-lg{width: 27em; height: 13em;}

.bx-align-b{align-self: flex-end;}
.bx-align-r{align-items: flex-start;}

.bx-pad {padding: 1em;}
.bx-pad-05{padding: 0.5em;}
.bx-pad-2{padding: 2em}
.bx-pad-3{padding: 3em}
.bx-pad-4{padding: 4em}
.bx-pad-t{padding-top: 1em;}
.bx-pad-t-2{padding-top: 2em;}
.bx-pad-t-3{padding-top: 3em;}
.bx-pad-t-4 {padding-top: 4em;}
.bx-pad-b{padding-bottom: 1em;}
.bx-pad-b-2{padding-bottom: 2em;}
.bx-pad-b-3{padding-bottom: 3em;}
.bx-pad-b-4{padding-bottom: 4em;}
.bx-pad-l{padding-left: 1em;}
.bx-pad-l-2{padding-left: 2em;}
.bx-pad-l-3{padding-left: 3em;}
.bx-pad-l-4{padding-left: 4em;}
.bx-pad-r{padding-right: 1em;}
.bx-pad-r-2{padding-right: 2em;}
.bx-pad-r-3{padding-right: 3em;}
.bx-pad-r-4{padding-right: 4em;}

.bx-mg{margin: 1em;}
.bx-mg-t{margin-top: 1em;}
.bx-mg-b{margin-bottom: 1em;}
.bx-mg-l{margin-left: 1em;}
.bx-mg-r{margin-right: 1em;}
.bx-mg-n{margin: 0px;}

.bx-brd {border: 1px solid rgba(0, 0, 0, 0.3);}
.bx-brd-t {border-top: 1px solid rgba(0, 0, 0, 0.3);}
.bx-brd-b {border-bottom: 1px solid rgba(0, 0, 0, 0.3);}
.bx-brd-l {border-left: 1px solid rgba(0, 0, 0, 0.3);}
.bx-brd-r {border-right: 1px solid rgba(0, 0, 0, 0.3);}
.bx-brd-white{border-color: white;}
.bx-brd-circle{border-radius: 50%}

.bx-title-0{font-size: 3em}
.bx-title-1{font-size: 2em}
.bx-title-2{font-size: 1.7em}
.bx-title-3{font-size: 1.3em}
.bx-title-4{font-size: 1em}

.bx-bg-white {background-color: white;}
.bx-bg-whitesmoke {background-color: whitesmoke;}
.bx-bg-darkgrey {background-color: darkgrey;}
.bx-bg-floralwhite{background-color: floralwhite;}
.bx-bg-blue{background-color: #2F3C7E;}
.bx-bg-dark{background-color: rgba(0, 0, 0, 0.3);}
.bx-bg-dark-1{background-color: rgba(0, 0, 0, 0.6);}
.bx-bg-trans{background-color: transparent !important}
.bx-bg-intro{
    background: #1488CC;
    background: -webkit-linear-gradient(to right, #2B32B2, #1488CC);
    background: linear-gradient(to right, #2B32B2, #1488CC);
}
.bx-bg-company{
    background: #cc2b5e;
    background: -webkit-linear-gradient(to right, #753a88, #cc2b5e);
    background: linear-gradient(to right, #753a88, #cc2b5e);
}

.bx-txt-white{color: #FBEAEB}
.bx-txt-black{color: rgba(0, 0, 0, 0.8)}
.bx-txt-n{color: transparent}
.bx-txt-center{text-align: center}
.bx-txt-left{text-align: left}
.bx-txt-right{text-align: right}
.bx-txt-thin{font-weight: lighter;}
.bx-txt-special{font-family: Candara;}
.bx-txt-lines {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    line-height: 16px;
    max-height: 32px;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}


.bx-link-white{color: white;}
.bx-link-white:hover{border-color: white;}
.bx-link-blue{color: #2F3C7E;}
.bx-link-blue:hover{border-color: #2F3C7E;}

.bx-shadow {box-shadow: 3px 3px 15px rgba(0, 0, 0, 0.466);}

.bx-scroll-y-n {overflow-y: scroll; overflow-x: hidden;}
.bx-scroll-x-n {overflow-x: scroll; overflow-y: hidden;}
.bx-scroll-y-x {overflow-y: scroll; overflow-x: scroll;}
.bx-scroll-n {overflow: hidden;}
.bx-scroll-h::-webkit-scrollbar {display: none;}

.bx-dir-inversed {
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
}

.bx-rel {position: relative;}
.bx-fix {position: fixed;}
.bx-tofront{z-index: 99;}

.bx-header {flex: 0 1 3.5em;}
.bx-main-menu {flex: 0 1 1em;}
.bx-max-table {height: 70vh;}
.bx-btns{min-height: 3em;}

.bx-single-line{white-space: nowrap}

.bx-h{color: transparent; background-color: transparent;border: none}


.bx-flex-row > .btn {
    flex: 1 1 auto;
    border-radius: 0;
    margin: 0;
    background-color: whitesmoke;
    color: rgb(42, 42, 42);
    border-right: 1px solid rgba(0, 0, 0, 0.3);
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    min-width: auto;
    text-align: center;
}

.bx-flex-row > .btn:hover {
    background-color: white;
    transform: none;
}

.bx-flex-row > .btn:last-child {
    border-right: none;
}

.bx-flex-row > .btn-selected {
    border-bottom: 1px solid rgba(0, 0, 0, 0.1);;
    background-color: white;
}

.bx-flex-col > .btn {
    display: block;
    flex: 1 1 40px;
    border-radius: 0;
    margin: 0;
    background-color: whitesmoke;
    color: rgb(42, 42, 42);
    display: flex;
    text-align: left;
    border-bottom: 1px solid rgba(0, 0, 0, 0.3);
    min-width: auto;
}

.bx-flex-col > .btn:hover {
    background-color: teal;
    background-color: white;
    transform: none;
}

.bx-flex-col > .btn-selected {
    border-right: 1px solid rgba(0, 0, 0, 0.1);;
    background-color: white;
    transform: translateX(1px);
}

.bx-input {
    margin: 0;
    padding: 0.5em;
    border-radius: 3px;
}

.bx-btn {
    /* padding: 0.5em; */
    /* background-color: #2F3C7E; */
    /* color: white; */
    border: none;
    cursor: pointer;
    /* box-shadow: 1px 1px 8px rgba(0, 0, 0, 0.3); */
}

.bx-btn:hover {
    /* box-shadow: 1px 1px 8px #2F3C7E; */
    background-color: rgba(0, 0, 0, 0.3);
}

.bx-btn-selected {
    background-color: rgba(0, 0, 0, 0.3);
}